%define upstream_name    B-Hooks-OP-Check
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Wrap OP check callbacks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(parent)

Requires:      perl-parent

%description
This module provides a c api for XS modules to hook into the callbacks of
'PL_check'.

the ExtUtils::Depends manpage is used to export all functions for other XS
modules to use. Include the following in your Makefile.PL:

    my $pkg = ExtUtils::Depends->new('Your::XSModule', 'B::Hooks::OP::Check');
    WriteMakefile(
        ... # your normal makefile flags
        $pkg->get_makefile_vars,
    );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%__make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/B
%perl_vendorarch/auto/B


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.220.0-7.mga8
+ Revision: 1594305
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.220.0-6.mga8
+ Revision: 1528913
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.220.0-5.mga8
+ Revision: 1432776
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.220.0-4.mga7
+ Revision: 1292356
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 0.220.0-3.mga7
+ Revision: 1248031
- Rebuild for new perl 5.28.0

* Mon Oct 02 2017 tv <tv> 0.220.0-2.mga7
+ Revision: 1163160
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.220.0-1.mga7
+ Revision: 1156638
- new version 0.22

* Thu Aug 31 2017 pterjan <pterjan> 0.210.0-2.mga7
+ Revision: 1148657
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.210.0-1.mga7
+ Revision: 1128063
- New version 0.21 + rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.190.0-16.mga6
+ Revision: 1022701
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.190.0-15.mga6
+ Revision: 956773
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.190.0-14.mga6
+ Revision: 844742
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.190.0-13.mga6
+ Revision: 840518
- Rebuild for new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-12.mga5
+ Revision: 742289
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.190.0-11.mga5
+ Revision: 732011
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-10.mga5
+ Revision: 683586
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.190.0-9.mga5
+ Revision: 630821
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-8.mga4
+ Revision: 524216
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.190.0-7.mga4
+ Revision: 430549
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-6.mga3
+ Revision: 363305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.190.0-5.mga3
+ Revision: 250295
- rebuild for perl 5.16

* Sun Feb 19 2012 pterjan <pterjan> 0.190.0-4.mga2
+ Revision: 210851
- Rebuild as it is missin gon i586

* Wed Sep 14 2011 takashi <takashi> 0.190.0-3.mga2
+ Revision: 143218
- update to 0.19

* Sat Jun 11 2011 sander85 <sander85> 0.180.0-3.mga2
+ Revision: 103550
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.180.0-2.mga1
+ Revision: 23199
- cleaning spec file
- imported package perl-B-Hooks-OP-Check


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-2mdv2011.0
+ Revision: 555685
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.0
+ Revision: 402085
- rebuild using %%perl_convert_version

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2010.0
+ Revision: 393192
- update to new version 0.18

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2010.0
+ Revision: 370009
- update to new version 0.17

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdv2009.1
+ Revision: 307129
- fix missing dependency on perl-parent

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.1
+ Revision: 307063
- import perl-B-Hooks-OP-Check


* Wed Nov 26 2008 cpan2dist 0.15-1mdv
- initial mdv release, generated with cpan2dist

